<?php
/*
 * 左边的菜单栏挂件
 * @author yzxh24
 */
Yii::import('application.widgets.BaseLeftMenu');

class LeftMenu extends BaseLeftMenu
{
    public $_list = array(
        'menu-setting' => array(
            'name' => '基本信息',
            'id' => 'menu-posts',
            'class' => 'wp-has-submenu menu-top',
            'route' => 'platform/manager/list',
            'submenu' => array(
                'class' => 'wp-submenu',
                'headerClass' => 'wp-submenu-head',
                'links' => array(
                    array('name' => '系统设置', 'route' => 'admin/settings/index'),
                    array('name' => '统计信息', 'route' => 'admin/flux/fluxsum'),
                    array('name' => '推广统计', 'route' => 'admin/flux/rewardweek'),
                    array('name' => '社区版块', 'route' => 'admin/forums/index'),
                    array('name' => '表情管理', 'route' => 'admin/smiles/index'),
                    array('name' => '勋章管理', 'route' => 'admin/medals/index'),
                    array('name' => '短信管理', 'route' => 'admin/message/index'),
                    array('name' => '短信发送', 'route' => 'admin/message/group'),
                ),
            ),
        ),
        'menu-users' => array(
            'name' => '用户管理',
            'id' => 'menu-users',
            'class' => 'wp-has-submenu menu-top',
            'route' => 'platform/manager/list',
            'submenu' => array(
                'class' => 'wp-submenu',
                'headerClass' => 'wp-submenu-head',
                'links' => array(
                    array('name' => '用户管理', 'route' => 'admin/member/index'),
                    array('name' => '用户组设置', 'route' => 'admin/usergroups/index'),
                ),
            ),
        ),
        'menu-pages' => array(
            'name' => '书会管理',
            'id' => 'menu-comments',
            'class' => 'wp-has-submenu menu-top',
            'route' => 'gii/crud',
            'submenu' => array(
                'class' => 'wp-submenu',
                'headerClass' => 'wp-submenu-head',
                'links' => array(
                    array('name' => '书管列表', 'route' => 'admin/bookmanager/list'),
                    array('name' => '书管申请列表', 'route' => 'admin/applybm/list'),
                    array('name' => '书管投票列表', 'route' => 'admin/bookvote/list'),
                    array('name' => '高级评论列表', 'route' => 'admin/bookpostreply/list'),
                    array('name' => '高级评论投诉', 'route' => 'admin/bookpostcomplaints/list'),
                ),
            ),
        ),
        'menu-links' => array(
            'name' => '广告管理',
            'id' => 'menu-links',
            'class' => 'wp-has-submenu menu-top',
            'route' => 'gii/crud',
            'submenu' => array(
                'class' => 'wp-submenu',
                'headerClass' => 'wp-submenu-head',
                'links' => array(
                    array('name' => '普通广告', 'route' => 'admin/ad/list'),
                    array('name' => '广告票', 'route' => 'admin/ad/ads'),
                    array('name' => '短信广告', 'route' => 'admin/pmlink/list'),
                    array('name' => '广告数据', 'route' => 'admin/adflux/index'),
                    array('name' => '新增广告', 'route' => 'admin/ad/create'),
                    array('name' => '竞拍', 'route' => 'admin/sale/list'),
                    array('name' => '软件列表', 'route' => 'admin/softcontent/list'),
                    array('name' => '添加软件', 'route' => 'admin/softcontent/create'),
                    array('name' => '任务列表', 'route' => 'admin/task/list'),
                ),
            ),
        ),
        'menu-comments' => array(
            'name' => '小说管理',
            'id' => 'menu-pages',
            'class' => 'wp-has-submenu menu-top',
            'route' => 'gii/crud',
            'submenu' => array(
                'class' => 'wp-submenu',
                'headerClass' => 'wp-submenu-head',
                'links' => array(
                    array('name' => '所有书籍', 'route' => 'admin/book/list'),
                    array('name' => '章节报错', 'route' => 'admin/reports/list'),
                    array('name' => '求书列表', 'route' => 'admin/demands/list'),
                ),
            ),
        ),
        'menu-settings' => array(
            'name' => '原创小说',
            'id' => 'menu-settings',
            'class' => 'wp-has-submenu menu-top',
            'route' => 'platform/author/listoperations',
            'submenu' => array(
                'class' => 'wp-submenu',
                'headerClass' => 'wp-submenu-head',
                'links' => array(
                    array('name' => '小说列表', 'route' => 'admin/original/list'),
                    array('name' => '举报列表', 'route' => 'admin/oreport/list'),
                    array('name' => '小说专题', 'route' => 'admin/special/list'),
                    array('name' => '每周支付列表', 'route' => 'admin/original/bookpaylog'),
                ),
            ),
        ),
        'menu-tools' => array(
            'name' => '后台工具',
            'id' => 'menu-tools',
            'class' => 'wp-has-submenu menu-top menu-top-last',
            'route' => 'gii/crud',
            'submenu' => array(
                'class' => 'wp-submenu',
                'headerClass' => 'wp-submenu-head',
                'links' => array(
                    array('name' => '生成CRUD', 'route' => 'gii/crud/index'),
                    array('name' => '生成Model', 'route' => 'gii/model/index'),
                    array('name' => '用户列表', 'route' => 'admin/manager/list'),
                    array('name' => '添加新用户', 'route' => 'admin/manager/create'),
                    array('name' => '授权操作', 'route' => 'admin/author/listoperations'),
                    array('name' => '新增角色', 'route' => 'admin/author/createrole'),
                    array('name' => '角色授权', 'route' => 'admin/author/listroles'),
                    array('name' => '成员授权', 'route' => 'admin/author/listusers'),
                    array('name' => '标签列表', 'route' => 'admin/label/list'),
                    array('name' => '新建标签', 'route' => 'admin/label/create'),
                ),
            ),
        ),
    );
}